<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Transfection2018/UserFns/getParameterMatFn.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_947b0bade59f2ec1a3d6dcc5254e948b.html">Transfection2018</a></li><li class="navelem"><a class="el" href="../../dir_7a5ad7d5dca3599a31868c2bbca96b8c.html">UserFns</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">getParameterMatFn.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d21/get_parameter_mat_fn_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;%%%------------------------------------------------------------------------</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;%the mean and covariance matrix used in second stage. </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">function</span> [betahat,D]=<a class="code" href="../../d8/d21/get_parameter_mat_fn_8m.html#affa4728eebf2bb9736f6b1ed97eb9afa">getParameterMatFn</a>(parameters,varargin)</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;betahat=reshape(parameters(1:6),1,6);</div>
<div class="line"><a name="l00007"></a><span class="lineno"><a class="line" href="../../d8/d21/get_parameter_mat_fn_8m.html#affa4728eebf2bb9736f6b1ed97eb9afa">    7</a></span>&#160;D=ones(length(betahat)-1,length(betahat)-1,2);</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;D(:,:,1)=diag(exp([parameters(7),parameters(8),...</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;parameters(10),parameters(11),parameters(12)])).^2;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;D(:,:,2)=diag(exp([parameters(7),parameters(9),...</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;parameters(10),parameters(11),parameters(12)])).^2;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_parameter_mat_fn_8m_html_affa4728eebf2bb9736f6b1ed97eb9afa"><div class="ttname"><a href="../../d8/d21/get_parameter_mat_fn_8m.html#affa4728eebf2bb9736f6b1ed97eb9afa">getParameterMatFn</a></div><div class="ttdeci">function getParameterMatFn(in parameters, in varargin)</div><div class="ttdoc">Function that takes in a vector of parameters and converts it to.</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
